curl --request PATCH \
--url https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
}
}
'import requests
url = "https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}"
payload = { "properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {
property_checkbox: 'false',
property_date: '1572480000000',
property_dropdown: 'choice_b',
property_multiple_checkboxes: 'chocolate;strawberry',
property_number: '17',
property_radio: 'option_1',
property_string: 'value'
}
})
};
fetch('https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'properties' => [
'property_checkbox' => 'false',
'property_date' => '1572480000000',
'property_dropdown' => 'choice_b',
'property_multiple_checkboxes' => 'chocolate;strawberry',
'property_number' => '17',
'property_radio' => 'option_1',
'property_string' => 'value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}"
payload := strings.NewReader("{\n \"properties\": {\n \"property_checkbox\": \"false\",\n \"property_date\": \"1572480000000\",\n \"property_dropdown\": \"choice_b\",\n \"property_multiple_checkboxes\": \"chocolate;strawberry\",\n \"property_number\": \"17\",\n \"property_radio\": \"option_1\",\n \"property_string\": \"value\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"properties\": {\n \"property_checkbox\": \"false\",\n \"property_date\": \"1572480000000\",\n \"property_dropdown\": \"choice_b\",\n \"property_multiple_checkboxes\": \"chocolate;strawberry\",\n \"property_number\": \"17\",\n \"property_radio\": \"option_1\",\n \"property_string\": \"value\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"properties\": {\n \"property_checkbox\": \"false\",\n \"property_date\": \"1572480000000\",\n \"property_dropdown\": \"choice_b\",\n \"property_multiple_checkboxes\": \"chocolate;strawberry\",\n \"property_number\": \"17\",\n \"property_radio\": \"option_1\",\n \"property_string\": \"value\"\n }\n}"
response = http.request(request)
puts response.read_body{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update a subscription.
Update a specific subscription by its ID with new property values.
curl --request PATCH \
--url https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
}
}
'import requests
url = "https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}"
payload = { "properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {
property_checkbox: 'false',
property_date: '1572480000000',
property_dropdown: 'choice_b',
property_multiple_checkboxes: 'chocolate;strawberry',
property_number: '17',
property_radio: 'option_1',
property_string: 'value'
}
})
};
fetch('https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'properties' => [
'property_checkbox' => 'false',
'property_date' => '1572480000000',
'property_dropdown' => 'choice_b',
'property_multiple_checkboxes' => 'chocolate;strawberry',
'property_number' => '17',
'property_radio' => 'option_1',
'property_string' => 'value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}"
payload := strings.NewReader("{\n \"properties\": {\n \"property_checkbox\": \"false\",\n \"property_date\": \"1572480000000\",\n \"property_dropdown\": \"choice_b\",\n \"property_multiple_checkboxes\": \"chocolate;strawberry\",\n \"property_number\": \"17\",\n \"property_radio\": \"option_1\",\n \"property_string\": \"value\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"properties\": {\n \"property_checkbox\": \"false\",\n \"property_date\": \"1572480000000\",\n \"property_dropdown\": \"choice_b\",\n \"property_multiple_checkboxes\": \"chocolate;strawberry\",\n \"property_number\": \"17\",\n \"property_radio\": \"option_1\",\n \"property_string\": \"value\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/v3/objects/subscriptions/{subscriptionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"properties\": {\n \"property_checkbox\": \"false\",\n \"property_date\": \"1572480000000\",\n \"property_dropdown\": \"choice_b\",\n \"property_multiple_checkboxes\": \"chocolate;strawberry\",\n \"property_number\": \"17\",\n \"property_radio\": \"option_1\",\n \"property_string\": \"value\"\n }\n}"
response = http.request(request)
puts response.read_body{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
.+Query Parameters
The name of a property whose values are unique for this object type
Body
Represents the input required to update a CRM object, containing an object with property names and their corresponding values.
Key value pairs representing the properties of the object.
Show child attributes
Show child attributes
Response
successful operation
A simple public object.
Whether the object is archived.
The timestamp when the object was created, in ISO 8601 format.
The unique ID of the object.
Key-value pairs representing the properties of the object.
Show child attributes
Show child attributes
The timestamp when the object was last updated, in ISO 8601 format.
The timestamp when the object was archived, in ISO 8601 format.
An identifier used to trace the write request for the object. Set a unique ID for each write operation; it is returned with any errors so you can identify which request encountered which error.
Key-value pairs representing the properties of the object along with their history, each with a timestamp and source information.
Show child attributes
Show child attributes
The URL associated with the object.
Show child attributes
Show child attributes
Was this page helpful?